/*
 * The contents of this file are subject to the JOnAS Public License Version 
 * 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the JOnAS web site.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific terms governing rights and limitations under 
 * the License.
 *
 * The Original Code is JOnAS application server code released July 1999.
 *
 * The Initial Developer of the Original Code is Bull S.A.
 * The Original Code and portions created by Bull S.A. are
 *    Copyright (C) 2001 Bull S.A. All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id: TraceJms.java,v 1.2 2002/01/03 15:21:11 jonas Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas_jms;

import java.io.PrintWriter;

public class TraceJms {
    static public boolean isDebug = false;
    static public boolean isVerbose = false;	// if we print the verbose message
    static public PrintWriter logWriter = null;

    static public void setDebug(boolean set) {
	isDebug = set;
    }

    /**
     * set the verbose flag
     */
    static public void setVerbose(boolean set) {
	isVerbose = set;
    }
    
    static public void setLogWriter(PrintWriter log) {
	logWriter = log;
    }

    static public void debug(String msg) {
	if ((isDebug) && (logWriter != null))
	    logWriter.println(msg);
    }
    static public void debug(String msg1, String msg2) {
	if ((isDebug) && (logWriter != null))
	    logWriter.println(msg1+msg2);
    }

    /**
     * print the verbose message if the logger is not null
     */
    static public void verbose(String msg) {
	if ((isVerbose) && (logWriter != null))
	    logWriter.println(msg);
    }

    static public void error(String msg) {
	if (logWriter != null)
	    logWriter.println(msg);
    }
}
